taccuino.vo

## Class SintomoRequestDTO

- java.lang.Object
- - taccuino.vo.SintomoRequestDTO

- Direct Known Subclasses:
    SintomoResponseDTO

      public class SintomoRequestDTO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SintomoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAiCode()`
    `java.lang.String` | `getAiCodeSystem()`
    `java.lang.String` | `getAiCodeSystemName()`
    `java.lang.Double` | `getAiCodeSystemVersion()`
    `java.lang.String` | `getAreaInteressata()`
    `java.time.LocalDate` | `getDataFineSintomo()`
    `java.time.LocalDate` | `getDataInizioSintomo()`
    `java.lang.String` | `getDescCode()`
    `java.lang.String` | `getDescCodeSystem()`
    `java.lang.String` | `getDescCodeSystemName()`
    `java.lang.Double` | `getDescCodeSystemVersion()`
    `java.lang.String` | `getDescrizione()`
    `void` | `setAiCode(java.lang.String aiCode)`
    `void` | `setAiCodeSystem(java.lang.String aiCodeSystem)`
    `void` | `setAiCodeSystemName(java.lang.String aiCodeSystemName)`
    `void` | `setAiCodeSystemVersion(java.lang.Double aiCodeSystemVersion)`
    `void` | `setAreaInteressata(java.lang.String areaInteressata)`
    `void` | `setDataFineSintomo(java.time.LocalDate dataFineSintomo)`
    `void` | `setDataInizioSintomo(java.time.LocalDate dataInizioSintomo)`
    `void` | `setDescCode(java.lang.String descCode)`
    `void` | `setDescCodeSystem(java.lang.String descCodeSystem)`
    `void` | `setDescCodeSystemName(java.lang.String descCodeSystemName)`
    `void` | `setDescCodeSystemVersion(java.lang.Double descCodeSystemVersion)`
    `void` | `setDescrizione(java.lang.String descrizione)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SintomoRequestDTO

          public SintomoRequestDTO()

  - ### Method Detail

    - #### getDataInizioSintomo

          public java.time.LocalDate getDataInizioSintomo()

    - #### setDataInizioSintomo

          public void setDataInizioSintomo(java.time.LocalDate dataInizioSintomo)

    - #### getDataFineSintomo

          public java.time.LocalDate getDataFineSintomo()

    - #### setDataFineSintomo

          public void setDataFineSintomo(java.time.LocalDate dataFineSintomo)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getAreaInteressata

          public java.lang.String getAreaInteressata()

    - #### setAreaInteressata

          public void setAreaInteressata(java.lang.String areaInteressata)

    - #### getDescCode

          public java.lang.String getDescCode()

    - #### setDescCode

          public void setDescCode(java.lang.String descCode)

    - #### getDescCodeSystem

          public java.lang.String getDescCodeSystem()

    - #### setDescCodeSystem

          public void setDescCodeSystem(java.lang.String descCodeSystem)

    - #### getDescCodeSystemName

          public java.lang.String getDescCodeSystemName()

    - #### setDescCodeSystemName

          public void setDescCodeSystemName(java.lang.String descCodeSystemName)

    - #### getAiCode

          public java.lang.String getAiCode()

    - #### setAiCode

          public void setAiCode(java.lang.String aiCode)

    - #### getAiCodeSystem

          public java.lang.String getAiCodeSystem()

    - #### setAiCodeSystem

          public void setAiCodeSystem(java.lang.String aiCodeSystem)

    - #### getAiCodeSystemName

          public java.lang.String getAiCodeSystemName()

    - #### setAiCodeSystemName

          public void setAiCodeSystemName(java.lang.String aiCodeSystemName)

    - #### getDescCodeSystemVersion

          public java.lang.Double getDescCodeSystemVersion()

    - #### setDescCodeSystemVersion

          public void setDescCodeSystemVersion(java.lang.Double descCodeSystemVersion)

    - #### getAiCodeSystemVersion

          public java.lang.Double getAiCodeSystemVersion()

    - #### setAiCodeSystemVersion

          public void setAiCodeSystemVersion(java.lang.Double aiCodeSystemVersion)